json-c 0.15

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
lh_entry Struct Reference

## Data Fields
const void * | k
int | k_is_constant
const void * | v
struct lh_entry * | next
struct lh_entry * | prev

## Detailed Description

An entry in the hash table

## Field Documentation

const void* lh_entry::k

The key. Use lh_entry_k() instead of accessing this directly.

int lh_entry::k_is_constant

A flag for users of linkhash to know whether or not they need to free k.

struct lh_entry* lh_entry::next

The next entry

struct lh_entry* lh_entry::prev

The previous entry.

const void* lh_entry::v

The value. Use lh_entry_v() instead of accessing this directly.

The documentation for this struct was generated from the following file:

- /home/erh/json-c-0.15/linkhash.h